<?php $file = 'wp-load.php'; $i = 0;
while ((!file_exists($file)) && ($i < 8)) { $file = '../'.$file; $i = $i + 1; }
include_once $file;
global $wpdb;
date_default_timezone_set('UTC');
$current_time = time();

if (function_exists('commerce_data')) {
$custom_data_keys = array(
'amount',
'code',
'referrer',
'quantity',
'product_id',
'form_id',
'member_id',
'affiliate_id',
'user_id',
'lang',
'country_code',
'amount',
'tax',
'tax_percentage',
'shipping_cost',
'login',
'password',
'subscribed_to_autoresponder',
'autoresponder_list',
'shipping_address',
'address',
'postcode',
'town',
'country',
'phone_number',
'website_name',
'website_url',
'ip_address',
'custom_fields',
'referring_url',
'user_agent');

if ((isset($GLOBALS['action'])) && ($GLOBALS['action'] == 'commerce_order')) {
remove_shortcode('payment-mode'); add_shortcode('payment-mode', create_function('$atts', 'extract(shortcode_atts(array("filter" => ""), $atts)); return commerce_filter_data($filter, "PayPlug");'));
if (($GLOBALS['currency_code'] != 'EUR') || ($GLOBALS['payment_option'] > 0)) { ?>
<!DOCTYPE html>
<html>
<head>
<title><?php echo kleor_do_shortcode(get_option('commerce_manager_incompatible_payment_mode_page_title')); ?></title>
<meta charset="utf-8" />
<meta http-equiv="Refresh" content="2; url=<?php echo htmlspecialchars($redirection_url); ?>" />
</head>
<body>
<?php echo kleor_do_shortcode(get_option('commerce_manager_incompatible_payment_mode_page_content')); ?>
</body>
</html>
<?php }
else {
$params = array(
'amount' => intval(round(100*($GLOBALS['quantity']*($GLOBALS['net_price'] + $GLOBALS['tax']) + $GLOBALS['shipping_cost']))),
'currency' => 'EUR',
'customer' => $GLOBALS['client_id'],
'email' => $GLOBALS['email_address'],
'firstname' => $GLOBALS['first_name'],
'ipn_url' => commerce_url('gateways/payplug.php'),
'lastname' => $GLOBALS['last_name'],
'return_url' => $GLOBALS['order_confirmation_url']);
$custom_data = array(); foreach ($custom_data_keys as $key) { $custom_data[$key] = (isset($GLOBALS[$key]) ? $GLOBALS[$key] : ''); }
$custom_data['shipping_cost'] = strval($GLOBALS['shipping_cost']);
$custom_data['tax'] = strval($GLOBALS['quantity']*$GLOBALS['tax']);
$custom_data['tax_percentage'] = strval($GLOBALS['tax_percentage']);
$custom_data['amount'] = strval($GLOBALS['quantity']*($GLOBALS['net_price'] + $GLOBALS['tax']) + $GLOBALS['shipping_cost']);
$custom_data['ip_address'] = $_SERVER['REMOTE_ADDR'];
$custom_data['user_agent'] = $_SERVER['HTTP_USER_AGENT'];
if ((strstr($GLOBALS['email_address'], '@')) && (strstr($GLOBALS['email_address'], '.'))) { $params['custom_data'] = $GLOBALS['email_address']; }
else { $params['custom_data'] = ''; foreach ($custom_data_keys as $i => $key) { $params['custom_data'] .= ($i == 0 ? '' : '|').str_replace('|', '', $custom_data[$key]); } }
$url_params = http_build_query($params);
$data = urlencode(base64_encode($url_params));
$private_key = openssl_pkey_get_private(commerce_data('payplug_private_key'));
openssl_sign($url_params, $signature, $private_key, OPENSSL_ALGO_SHA1);
$signature = urlencode(base64_encode($signature));
$url = commerce_data('payplug_payment_url').'?data='.$data.'&sign='.$signature;
if (!headers_sent()) { header('Location: '.$url); exit(); }
else { ?>
<!DOCTYPE html>
<html>
<head>
<title><?php echo kleor_do_shortcode(get_option('commerce_manager_available_product_page_title')); ?></title>
<meta charset="utf-8" />
<meta http-equiv="Refresh" content="0; url=<?php echo htmlspecialchars($url); ?>" />
<meta name="robots" content="noindex" />
</head>
<body>
<?php echo kleor_do_shortcode(get_option('commerce_manager_available_product_page_content')); ?>
<?php wp_footer(); ?>
</body>
</html>
<?php } } }

else {
if (!function_exists('getallheaders')) {
function getallheaders() {
$headers = array();
foreach ($_SERVER as $key => $value) {
if (substr($key, 0, 5) == 'HTTP_') {
$key = str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($key, 5)))));
$headers[$key] = $value; }
elseif ($key == 'CONTENT_TYPE') { $headers['Content-Type'] = $value; }
elseif ($key == 'CONTENT_LENGTH') { $headers['Content-Length'] = $value; }
else { $headers[$key] = $value; } }
return $headers; } }

$headers = array_change_key_case(getallheaders(), CASE_UPPER);
$signature = base64_decode($headers['PAYPLUG-SIGNATURE']);
$body = file_get_contents('php://input');
$data = json_decode($body, true);
$public_key = openssl_pkey_get_public(commerce_data('payplug_public_key'));
if (openssl_verify($body, $signature, $public_key, OPENSSL_ALGO_SHA1) == 1) {
$GLOBALS['action'] = 'commerce_notification';
$GLOBALS['commerce_item_type'] = 'order';
$GLOBALS['payment_mode'] = 'PayPlug';

if ($data['status'] == 0) {
include commerce_path('tables.php');
$order_keys = array(); foreach ($tables['orders'] as $key => $value) { $order_keys[] = $key; }
$order_keys = array_merge($order_keys, array('affiliate_id', 'autoresponder_list', 'login', 'password', 'subscribed_to_autoresponder', 'user_id'));
if (empty($data['custom_data'])) { $data['custom_data'] = (isset($data['custom_datas']) ? $data['custom_datas'] : ''); }
$custom_data = explode('|', $data['custom_data']);
if (count($custom_data) == 1) {
$GLOBALS['email_address'] = kleor_format_email_address($custom_data[0]);
$unfinalized_orders = (array) get_option('commerce_manager_unfinalized_orders');
if (isset($unfinalized_orders[$GLOBALS['email_address']])) {
foreach ($custom_data_keys as $i => $key) { $GLOBALS[$key] = (isset($unfinalized_orders[$GLOBALS['email_address']][$key]) ? $unfinalized_orders[$GLOBALS['email_address']][$key] : ''); } } }
else { foreach ($custom_data_keys as $i => $key) { $GLOBALS[$key] = (isset($custom_data[$i]) ? $custom_data[$i] : ''); } }
foreach (array('quantity', 'product_id', 'form_id', 'member_id', 'affiliate_id', 'user_id') as $key) { $GLOBALS[$key] = (int) $GLOBALS[$key]; }
foreach (array('shipping_cost', 'tax', 'tax_percentage', 'amount') as $key) { $GLOBALS[$key] = round($GLOBALS[$key], 2); }
$_GET['code'] = $GLOBALS['code'];
$_GET['lang'] = $GLOBALS['lang'];
$GLOBALS['custom_fields'] = base64_decode($GLOBALS['custom_fields']);
$GLOBALS['password'] = base64_decode($GLOBALS['password']);
$GLOBALS['commerce_form_id'] = $GLOBALS['form_id'];
$GLOBALS['client_id'] = (int) $data['customer'];
if (!empty($data['amount'])) { $GLOBALS['amount'] = round($data['amount']/100, 2); }
$GLOBALS['first_name'] = kleor_format_name((isset($data['firstname']) ? $data['firstname'] : $data['first_name']));
$GLOBALS['last_name'] = kleor_format_name((isset($data['lastname']) ? $data['lastname'] : $data['last_name']));
$GLOBALS['email_address'] = kleor_format_email_address($data['email']);
$GLOBALS['receiver_account'] = commerce_data('payplug_email_address');
$GLOBALS['transaction_number'] = $data['id_transaction'];
$GLOBALS['date'] = date('Y-m-d H:i:s', $current_time + 3600*UTC_OFFSET);
$GLOBALS['date_utc'] = date('Y-m-d H:i:s', $current_time);
if ($GLOBALS['client_id'] > 0) {
$result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."commerce_manager_clients WHERE id = ".$GLOBALS['client_id'], OBJECT);
if ($result) { $GLOBALS['client_data'] = (array) $result; $client = (array) $result; } }
else {
$result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."commerce_manager_clients WHERE (email_address = '".$GLOBALS['email_address']."' OR paypal_email_address = '".$GLOBALS['email_address']."')", OBJECT);
if ($result) { $GLOBALS['client_id'] = $result->id; $GLOBALS['client_data'] = (array) $result; $client = (array) $result; } }
if (function_exists('affiliation_session')) {
if ($GLOBALS['affiliate_id'] > 0) { $result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE id = ".$GLOBALS['affiliate_id'], OBJECT); }
else { $result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE (email_address = '".$GLOBALS['email_address']."' OR paypal_email_address = '".$GLOBALS['email_address']."')", OBJECT); }
if ($result) { $GLOBALS['affiliate_id'] = (int) $result->id; $affiliate = (array) $result; } }
if (function_exists('membership_session')) {
if ($GLOBALS['member_id'] > 0) { $result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."membership_manager_members WHERE id = ".$GLOBALS['member_id'], OBJECT); }
else { $result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."membership_manager_members WHERE email_address = '".$GLOBALS['email_address']."'", OBJECT); }
if ($result) { $GLOBALS['member_id'] = (int) $result->id; $member = (array) $result; } }
if (function_exists('award_commission')) {
if ($GLOBALS['referrer'] == '') {
$result = $wpdb->get_row("SELECT referrer FROM ".$wpdb->prefix."commerce_manager_orders WHERE email_address = '".$GLOBALS['email_address']."' ORDER BY date ".(affiliation_data('winner_affiliate') == 'last' ? 'DESC' : 'ASC')." LIMIT 1", OBJECT);
if ($result) { $GLOBALS['referrer'] = $result->referrer; } }
if (($GLOBALS['referrer'] != '') && (!strstr($GLOBALS['referrer'], '@'))) {
$result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$GLOBALS['referrer']."' AND status = 'active'", OBJECT);
if (!$result) { $GLOBALS['referrer'] = ''; }
else { $GLOBALS['affiliate_data'] = (array) $result; $GLOBALS['referrer_data'] = $GLOBALS['affiliate_data']; } }
if (($GLOBALS['referrer'] == '') || (affiliation_data('winner_affiliate') == 'first')) {
$first_referrer = ''; $plugins = array('commerce' => 'client', 'affiliation' => 'affiliate', 'membership' => 'member');
foreach ($plugins as $key => $value) {
if (($first_referrer == '') && (isset($$value))) {
$account = $$value; $first_referrer = $account['referrer'];
if (($first_referrer != '') && (!strstr($first_referrer, '@'))) {
$result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$first_referrer."' AND status = 'active'", OBJECT);
if (!$result) { $first_referrer = ''; } else { $first_referrer_data = (array) $result; } } } }
if ($first_referrer != '') { $GLOBALS['referrer'] = $first_referrer; $GLOBALS['affiliate_data'] = $first_referrer_data; $GLOBALS['referrer_data'] = $GLOBALS['affiliate_data']; } } }
$GLOBALS['status'] = product_data('orders_initial_status');
foreach (array('date', 'date_utc') as $field) {
if ($GLOBALS['status'] == 'processed') { $GLOBALS['processing_'.$field] = $GLOBALS[$field]; }
else { $GLOBALS['processing_'.$field] = ''; } }
$GLOBALS['price'] = $GLOBALS['amount'] - $GLOBALS['shipping_cost'];
if (product_data('default_tax_applied') == 'yes') { $GLOBALS['tax_included_in_price'] = 'no'; }
else { $GLOBALS['tax_included_in_price'] = product_data('tax_included_in_price'); }
if ($GLOBALS['tax_included_in_price'] == 'no') { $GLOBALS['price'] = $GLOBALS['price'] - $GLOBALS['tax']; }
$GLOBALS['net_amount'] = $GLOBALS['amount'] - $GLOBALS['shipping_cost'] - $GLOBALS['tax'];
$GLOBALS['unit_price'] = round($GLOBALS['price']/$GLOBALS['quantity'], 2);
$GLOBALS['net_unit_price'] = round($GLOBALS['net_amount']/$GLOBALS['quantity'], 2);
$GLOBALS['transaction_cost'] = round(1.2*($GLOBALS['amount']/40 + 0.25), 2);
$GLOBALS['payments_number'] = 0;
if (($GLOBALS['referrer'] == '') || (strstr($GLOBALS['referrer'], '@'))) { $GLOBALS['commission_amount'] = 0; }
else {
if (function_exists('award_commission')) { award_commission();
if (($GLOBALS['commission_amount'] > 0) && (affiliation_data('overpayment_deducted') == 'yes')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$GLOBALS['referrer']."'", OBJECT);
if ($affiliate->overpayment_amount > 0) {
if ($affiliate->overpayment_amount > $GLOBALS['commission_amount']) {
$overpayment_amount = $affiliate->overpayment_amount - $GLOBALS['commission_amount'];
$GLOBALS['commission_amount'] = 0; }
else {
$overpayment_amount = 0;
$GLOBALS['commission_amount'] = $GLOBALS['commission_amount'] - $affiliate->overpayment_amount; }
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$GLOBALS['referrer']."'");
foreach (array('affiliate', 'referrer', 'affiliate'.$affiliate->id) as $string) {
$GLOBALS[$string.'_data'] = (array) (isset($GLOBALS[$string.'_data']) ? $GLOBALS[$string.'_data'] : array());
if ((isset($GLOBALS[$string.'_data']['id'])) && ($GLOBALS[$string.'_data']['id'] == $affiliate->id)) { $GLOBALS[$string.'_data']['overpayment_amount'] = $overpayment_amount; } } } } }
if ($GLOBALS['commission_amount'] > 0) { $GLOBALS['commission_payment'] = 'deferred'; $GLOBALS['commission_status'] = 'unpaid'; } }
if (($GLOBALS['commission_amount'] == 0) || ($GLOBALS['commission_amount'] == '')) { $GLOBALS['commission_payment'] = ''; $GLOBALS['commission_status'] = ''; }
if (function_exists('award_commission2')) { award_commission2();
if (($GLOBALS['commission2_amount'] > 0) && (affiliation_data('overpayment_deducted') == 'yes')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$GLOBALS['referrer2']."'", OBJECT);
if ($affiliate->overpayment_amount > 0) {
if ($affiliate->overpayment_amount > $GLOBALS['commission2_amount']) {
$overpayment_amount = $affiliate->overpayment_amount - $GLOBALS['commission2_amount'];
$GLOBALS['commission2_amount'] = 0; }
else {
$overpayment_amount = 0;
$GLOBALS['commission2_amount'] = $GLOBALS['commission2_amount'] - $affiliate->overpayment_amount; }
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$GLOBALS['referrer2']."'");
$GLOBALS['affiliate'.$affiliate->id.'_data'] = (array) (isset($GLOBALS['affiliate'.$affiliate->id.'_data']) ? $GLOBALS['affiliate'.$affiliate->id.'_data'] : array());
$GLOBALS['affiliate'.$affiliate->id.'_data']['overpayment_amount'] = $overpayment_amount; } } }
if (($GLOBALS['commission2_amount'] == 0) || ($GLOBALS['commission2_amount'] == '')) { $GLOBALS['commission2_status'] = ''; }
$order = $wpdb->get_row("SELECT id FROM ".$wpdb->prefix."commerce_manager_orders WHERE payment_mode LIKE '%PayPlug%' AND transaction_number = '".str_replace(array("\\", "'"), array("", "''"), $GLOBALS['transaction_number'])."'", OBJECT);
if (!$order) {
$order = array(); foreach ($order_keys as $key) { if (isset($GLOBALS[$key])) { $order[$key] = $GLOBALS[$key]; } }
add_order($order); } }

elseif ($data['status'] == 4) {
$item = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."commerce_manager_orders WHERE payment_mode LIKE '%PayPlug%' AND transaction_number = '".str_replace(array("\\", "'"), array("", "''"), $data['id_transaction'])."' AND status != 'refunded'", OBJECT);
if ($item) {
$GLOBALS['product_id'] = $item->product_id;
$GLOBALS['commerce_form_id'] = $item->form_id;
$GLOBALS['client_id'] = $item->client_id;
$GLOBALS['order_id'] = $item->id;
$GLOBALS['order_data'] = (array) $item;
if ($GLOBALS['client_id'] > 0) {
$result = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."commerce_manager_clients WHERE id = ".$GLOBALS['client_id'], OBJECT);
if ($result) { $GLOBALS['client_data'] = (array) $result; } }
$status = 'refunded';
$refund_date = date('Y-m-d H:i:s', $current_time + 3600*UTC_OFFSET);
$refund_date_utc = date('Y-m-d H:i:s', $current_time);
if ($item->commission_payment == 'deferred') {
if ($item->commission_status == 'paid') {
$commission_amount = $item->commission_amount;
$commission_payment = 'deferred';
$commission_status = 'paid';
$commission_payment_date = $item->commission_payment_date;
$commission_payment_date_utc = $item->commission_payment_date_utc;
if (get_option('affiliation_manager')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$item->referrer."'", OBJECT);
if ($affiliate) { $overpayment_amount = $affiliate->overpayment_amount + $commission_amount;
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$item->referrer."'");
foreach (array('affiliate', 'referrer', 'affiliate'.$affiliate->id) as $string) {
$GLOBALS[$string.'_data'] = (array) (isset($GLOBALS[$string.'_data']) ? $GLOBALS[$string.'_data'] : array());
if ((isset($GLOBALS[$string.'_data']['id'])) && ($GLOBALS[$string.'_data']['id'] == $affiliate->id)) { $GLOBALS[$string.'_data']['overpayment_amount'] = $overpayment_amount; } } } } }
elseif ($item->commission_status == 'unpaid') {
$commission_payment_date = '0000-00-00 00:00:00';
$commission_payment_date_utc = '0000-00-00 00:00:00';
if ((function_exists('affiliation_data')) && (affiliation_data('commission_canceled') == 'yes')) {
$commission_amount = 0;
$commission_payment = '';
$commission_status = ''; }
else {
$commission_amount = $item->commission_amount;
$commission_payment = 'deferred';
$commission_status = 'unpaid';
if (get_option('affiliation_manager')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$item->referrer."'", OBJECT);
if ($affiliate) { $overpayment_amount = $affiliate->overpayment_amount + $commission_amount;
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$item->referrer."'");
foreach (array('affiliate', 'referrer', 'affiliate'.$affiliate->id) as $string) {
$GLOBALS[$string.'_data'] = (array) (isset($GLOBALS[$string.'_data']) ? $GLOBALS[$string.'_data'] : array());
if ((isset($GLOBALS[$string.'_data']['id'])) && ($GLOBALS[$string.'_data']['id'] == $affiliate->id)) { $GLOBALS[$string.'_data']['overpayment_amount'] = $overpayment_amount; } } } } } } }
else {
$commission_amount = 0;
$commission_payment = '';
$commission_status = '';
$commission_payment_date = '0000-00-00 00:00:00';
$commission_payment_date_utc = '0000-00-00 00:00:00'; }
if ($item->commission2_status == 'paid') {
$commission2_amount = $item->commission2_amount;
$commission2_status = 'paid';
if (get_option('affiliation_manager')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$item->referrer2."'", OBJECT);
if ($affiliate) { $overpayment_amount = $affiliate->overpayment_amount + $commission2_amount;
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$item->referrer2."'");
$GLOBALS['affiliate'.$affiliate->id.'_data'] = (array) (isset($GLOBALS['affiliate'.$affiliate->id.'_data']) ? $GLOBALS['affiliate'.$affiliate->id.'_data'] : array());
$GLOBALS['affiliate'.$affiliate->id.'_data']['overpayment_amount'] = $overpayment_amount; } } }
elseif ($item->commission2_status == 'unpaid') {
if ((function_exists('affiliation_data')) && (affiliation_data('commission_canceled') == 'yes')) {
$commission2_amount = 0;
$commission2_status = ''; }
else {
$commission2_amount = $item->commission2_amount;
$commission2_status = 'unpaid';
if (get_option('affiliation_manager')) {
$affiliate = $wpdb->get_row("SELECT id, overpayment_amount FROM ".$wpdb->prefix."affiliation_manager_affiliates WHERE login = '".$item->referrer2."'", OBJECT);
if ($affiliate) { $overpayment_amount = $affiliate->overpayment_amount + $commission2_amount;
$results = $wpdb->query("UPDATE ".$wpdb->prefix."affiliation_manager_affiliates SET overpayment_amount = ".$overpayment_amount." WHERE login = '".$item->referrer2."'");
$GLOBALS['affiliate'.$affiliate->id.'_data'] = (array) (isset($GLOBALS['affiliate'.$affiliate->id.'_data']) ? $GLOBALS['affiliate'.$affiliate->id.'_data'] : array());
$GLOBALS['affiliate'.$affiliate->id.'_data']['overpayment_amount'] = $overpayment_amount; } } } }
else {
$commission2_amount = 0;
$commission2_status = ''; }
$list = ''; foreach (array(
'status',
'refund_date',
'refund_date_utc',
'commission_amount',
'commission_payment',
'commission_status',
'commission_payment_date',
'commission_payment_date_utc',
'commission2_amount',
'commission2_status') as $field) { $GLOBALS['order_data'][$field] = $$field; $c = (strstr($field, "amount") ? "" : "'"); $list .= $field." = ".$c.$$field.$c.","; }
$results = $wpdb->query("UPDATE ".$wpdb->prefix."commerce_manager_orders SET ".substr($list, 0, -1)." WHERE id = ".$item->id);

$product = $wpdb->get_row("SELECT * FROM ".$wpdb->prefix."commerce_manager_products WHERE id = ".$item->product_id, OBJECT);
$GLOBALS['product_data'] = (array) $product;
$refunds_count = $product->refunds_count + $item->quantity;
$results = $wpdb->query("UPDATE ".$wpdb->prefix."commerce_manager_products SET refunds_count = ".$refunds_count." WHERE id = ".$product->id);
foreach (array('', $GLOBALS['product_id']) as $string) {
$GLOBALS['product'.$string.'_data'] = (array) (isset($GLOBALS['product'.$string.'_data']) ? $GLOBALS['product'.$string.'_data'] : array());
$GLOBALS['product'.$string.'_data']['refunds_count'] = $refunds_count; }
if ((function_exists('update_member_members_areas')) && (product_data('customer_unsubscribed_from_members_areas') == 'yes')) {
update_member_members_areas($item->member_id, product_data('customer_members_areas'), 'delete'); }

foreach (array('sent', 'sender', 'receiver', 'subject', 'body') as $field) { $$field = product_data('order_refund_notification_email_'.$field); }
if ($sent == 'yes') { commerce_mail($sender, $receiver, $subject, $body); }
if (product_data('order_refund_custom_instructions_executed') == 'yes') {
eval(kleor_format_instructions(product_data('order_refund_custom_instructions'))); } } } } } }

elseif (!headers_sent()) { header('Location: /'); exit(); }